server {
    listen 80;
    server_name app.aziros.local
                api.aziros.local
                socket.aziros.local
                vite.aziros.local
                10.10.90.102;

    root /var/www/html/public;
    index index.php index.html;

    client_max_body_size 20M;

    access_log  /var/log/nginx/access.log;
    error_log   /var/log/nginx/error.log;

    # Hauptrouting (Laravel)
    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ^~ /livewire {
        try_files $uri $uri/ /index.php?$query_string;
    }

    # PHP Handling
    location ~ \.php$ {
        try_files $uri =404;

        fastcgi_pass app:9000;
        fastcgi_index index.php;

        include fastcgi_params;

        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param PATH_INFO $fastcgi_path_info;

        fastcgi_param HTTPS off;
        fastcgi_param HTTP_X_FORWARDED_PROTO http;
    }

    # Security
    location ~ /\.ht {
        deny all;
    }

    # Optional: favicon / robots
    location = /favicon.ico { access_log off; log_not_found off; }
    location = /robots.txt  { access_log off; log_not_found off; }

}

# Default Block (alles andere droppen)
server {
    listen 80 default_server;
    server_name _;
    return 444;
}
